Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IDesignElement

All Known Subinterfaces:
  IAutoText, ICell, IDataItem, IDynamicText, IGrid, IGroup, IImage, ILabel, IList, IListGroup, IListing, IMasterPage, IReportDesign, IReportElement, IReportItem, IRow, ITable, ITableGroup, ITextItem

    public interface IDesignElement

Script wrapper of DesignElementHandle

Method Summary
`java.lang.String` | `getNamedExpression(java.lang.String name)` Returns name of user property defined in this element.
`IDesignElement` | `getParent()` Return the parent of this element
`java.lang.String` | `getQualifiedName()` Gets the name of this element.
`IReportDesign` | `getReport()` Gets the report.
`IScriptStyleDesign` | `getStyle()` Gets design element style.
`java.lang.Object` | `getUserProperty(java.lang.String name)` Deprecated.
`java.lang.Object` | `getUserPropertyExpression(java.lang.String name)` Returns user property as an expression defined in this element.
`void` | `setNamedExpression(java.lang.String name, java.lang.String exp)` Sets name of user property defined in this element.
`void` | `setUserProperty(java.lang.String name, java.lang.Object value, java.lang.String type)` Sets user property defined in this element.
`void` | `setUserProperty(java.lang.String name, java.lang.String value)` Sets user property defined in this element.

Method Detail

### getStyle

    IScriptStyleDesign getStyle()

  Gets design element style.

  Returns:
    style

### getQualifiedName

    java.lang.String getQualifiedName()

  Gets the name of this element. The returned element name will be the same as `getName()`, plus the namespace of the module that the elment is contained, if any. If the element is existed in the current module,this method and `getName()` will return identical results.

  Returns:
    the qualified name of thie element.

### getNamedExpression

    java.lang.String getNamedExpression(java.lang.String name)

  Returns name of user property defined in this element.

  Parameters:
    `name` -
  Returns:
    name of user property

### setNamedExpression

    void setNamedExpression(java.lang.String name,
                            java.lang.String exp)
                            throws ScriptException

  Sets name of user property defined in this element.

  Parameters:
    `name` - name of user property
    `exp` - name expression
  Throws:
    `ScriptException`

### getUserProperty

    @Deprecated
    java.lang.Object getUserProperty(java.lang.String name)

  Deprecated.

  Returns user property defined in this element.

  Parameters:
    `name` -
  Returns:
    user property

### setUserProperty

    void setUserProperty(java.lang.String name,
                         java.lang.String value)
                         throws ScriptException

  Sets user property defined in this element.

  Parameters:
    `name` -
    `value` -
  Throws:
    `ScriptException`

### setUserProperty

    void setUserProperty(java.lang.String name,
                         java.lang.Object value,
                         java.lang.String type)
                         throws ScriptException

  Sets user property defined in this element.

  Parameters:
    `name` -
    `value` -
    `type` -
  Throws:
    `ScriptException`

### getParent

    IDesignElement getParent()

  Return the parent of this element

  Returns:
    the parent

### getReport

    IReportDesign getReport()

  Gets the report.

  Returns:
    the report

### getUserPropertyExpression

    java.lang.Object getUserPropertyExpression(java.lang.String name)

  Returns user property as an expression defined in this element.

  Parameters:
    `name` - the user property name
  Returns:
    user property as an expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.